#
# spec file for package e3 (Version 1.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  nasm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils nasm ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         e3
Version:      1.7
Release:      41
Summary:      Tiny editor with man different modes like vi, emacs, Wordstar
Copyright:	GPL
Source:		%{name}-%{version}.tar.gz
Group:		Applications/Editors

%description
A very tiny editor, which offers many different modes like vi, emacs and Wordstar.
Default mode is Wordstar.

Authors:
--------
    Albrecht Kleine <kleine@ak.sax.de>

SuSE series: ap

%prep
%setup

%build
%ifnarch i386
cd e3c
make -e CFLAGS="-Wall $RPM_OPT_FLAGS" PREFIX="/usr"
%else
make
%endif

%install
%ifnarch i386
cd e3c
%endif
make -e PREFIX='/usr' MANDIR='$(PREFIX)/share/man/man$(MANSEC)' install

%files
%doc COPYING.GPL COPYRIGHT ChangeLog README
/usr/bin/e3*
/usr/share/man/man1/e3*.1.gz
%ifnarch i386
/usr/lib/e3*
%endif

%changelog -n e3
* Tue Jul 10 2001 - uli@suse.de
- was building i386 binary on non-IA32 archs, fixed
- update -> 1.7
* Tue Jul 03 2001 - snbarth@suse.de
- initial version
